## Apache Zeta Components Manual :: Docs For Class ezcWorkflowConditionBooleanSet

### Workflow::ezcWorkflowConditionBooleanSet

### Class ezcWorkflowConditionBooleanSet

Abstract base class for boolean sets of conditions like AND, OR and XOR.

Source for this file: /Workflow/src/interfaces/condition_boolean_set.php

### Implements interfaces:

- ezcWorkflowCondition

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcWorkflowConditionXor | Boolean XOR.
ezcWorkflowConditionOr | Boolean OR.
ezcWorkflowConditionAnd | Boolean AND.

### Member Variables

protected string | `$concatenation` String representation of the concatination. Used by the __toString() methods.
protected array | `$conditions` Array of ezcWorkflowConditions

### Method Summary

public ezcWorkflowConditionBooleanSet | `__construct( $conditions )` Constructs a new boolean set with the conditions $conditions.

### Methods

#### __construct

ezcWorkflowConditionBooleanSet __construct( $conditions )

Constructs a new boolean set with the conditions $conditions.

The format of $conditions must be array( ezcWorkflowCondition )

##### Parameters:

Name | Type | Description
--- | --- | ---
`$conditions` | array |

##### Exceptions:

Type | Description
--- | ---
`ezcWorkflowDefinitionStorageException` |

Documentation generated by phpDocumentor 1.4.3